# GCC_RegistrySetParameterRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistrySetParameterRequest:

List of all members.

## Public Types

enum | OptionalFields { e_modificationRights }

## Public Member Functions

| GCC_RegistrySetParameterRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_EntityID | m_entityID
GCC_RegistryKey | m_key
PASN_OctetString | m_parameter
GCC_RegistryModificationRights | m_modificationRights

## Member Enumeration Documentation

enum GCC_RegistrySetParameterRequest::OptionalFields

Enumerator:

  e_modificationRights |

## Constructor & Destructor Documentation

GCC_RegistrySetParameterRequest::GCC_RegistrySetParameterRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistrySetParameterRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistrySetParameterRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistrySetParameterRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistrySetParameterRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistrySetParameterRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistrySetParameterRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_EntityID GCC_RegistrySetParameterRequest::m_entityID

GCC_RegistryKey GCC_RegistrySetParameterRequest::m_key

PASN_OctetString GCC_RegistrySetParameterRequest::m_parameter

GCC_RegistryModificationRights GCC_RegistrySetParameterRequest::m_modificationRights

The documentation for this class was generated from the following file:

- gcc.h